/Users/bernard/b20/bsoft/src/util/ctf.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/util/ctf.cpp - Functions to manage CTF (contrast transfer function) parameters.

SYNOPSIS

#include 'ctf.h'
#include 'utilities.h'

  Functions
double electron_wavelength (double volt)
Calculates the wavelength in angstrom from the acceleration voltage.
double beta2 (double volt)
Calculates the square of the relative electron velocity.
double beta (double volt)
Calculates the relative electron velocity.
vector< double > C_curve (long n, double freq_step)
Calculates the carbon scattering curve.

  Variables
int verbose

Detailed Description

Functions to manage CTF (contrast transfer function) parameters.

Author:
    Bernard Heymann

Date:
    Created: 20000426

    Modified: 20190703

Definition in file ctf.cpp.

Function Documentation

  double beta (double volt)

Calculates the relative electron velocity.

Parameters:
    volt acceleration voltage.

Returns:
    double relative electron velocity.

                              1
    beta = sqrt(1 - ---------------------)
                    (1+e*volt/(me*c^2))^2

Definition at line 447 of file ctf.cpp.

  double beta2 (double volt)

Calculates the square of the relative electron velocity.

Parameters:
    volt acceleration voltage.

Returns:
    double square of the relative electron velocity.

                         1
    beta2 = 1 - ---------------------
                (1+e*volt/(me*c^2))^2

Definition at line 426 of file ctf.cpp.

  vector<double> C_curve (long n, double freq_step)

Calculates the carbon scattering curve.

Parameters:
    n length of curve.
    freq_step frequency step size.

Returns:
    vector<double> array with C-curve.

    The curve is based on the sum of five Gaussians.

Definition at line 462 of file ctf.cpp.

  double electron_wavelength (double volt)

Calculates the wavelength in angstrom from the acceleration voltage.

Parameters:
    volt acceleration voltage.

Returns:
    double wavelength in angstrom, <0 on error.

                       12.26
    lambda = ----------------------------
             sqrt(volt*(1+volt*0.9788e-6)
                           1e10 * h
    lambda = ---------------------------------------
             sqrt(2*me*e*volt*(1+e*volt/(2*me*c^2)))

Definition at line 403 of file ctf.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.